-- game lua

game = gamestate:new()

function game:init()
	require("lua.player")
	require("lua.snow")
	require("lua.presents")
	player:init()
	snow:init()
	present:init()
end

function game:update( dt )
	if not pause then
		player:update( dt )
		snow:update( dt )
		present:update( dt )
	end
end

function game:draw()
	local g = love.graphics

	g.setColor( 255, 255, 255 )
	love.graphics.setFont( font_small )
	g.print( "Merry Christmas everyone!", 10, 10 )
	
	present:draw()
	player:draw()
	snow:draw()

	if player.hp <= 0 then
		pause = true
		love.graphics.setColor( 255, 255, 255 )
		love.graphics.setFont( font_normal )
		love.graphics.printf( " Game Over ", gWidth / 2 - 100, gHeight / 2 - 60, 200, "center" )
		love.graphics.printf( " Try it again ( Press Enter! ) ", gWidth / 2 - 200, gHeight / 2 - 20, 400, "center" )
	end
	
end

function game:keypressed( key )
	player:keypressed( key ) 
	if key == "escape" then love.event.quit() end
	
	if player.hp <= 0 and key == "return" then
		player:init()
		present:init()
		mx = gWidth / 2
		pause = false
	end
	
end

function game:mousepressed( x, y, b )
	player:mousepressed( x, y, b )
end