-- player lua

player = class:new()

function player:init()
	self.img = love.graphics.newImage( "gfx/korb.png" )
	self.w, self.h = self.img:getWidth() * gScale, self.img:getHeight() * gScale
	self.x, self.y = gWidth / 2 + self.w / 2, gHeight - self.h
	self.points = 0
	self.hp = 100
	self.hpX = gWidth / 2 - 50
	self.hpY = 40
end

function player:update( dt )
	local mx, my = love.mouse.getPosition()
	self.hitbox = { x = self.x + 32, y = self.y + 64, w = self.w / 2, h = 8 }
	self.x = mx - self.w / 2
	if self.x + self.w > gWidth then
		self.x = gWidth - self.w
	elseif self.x < 0 then
		self.x = 0
	end
	
end

function player:draw()
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.draw( self.img, self.x, self.y, 0, gScale, gScale )
	love.graphics.setFont( font_normal )
	love.graphics.printf( "Score: "..self.points, gWidth / 2 - 100, 60, 200, "center" )
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.rectangle( "fill", self.hpX - 2, self.hpY - 2, 104, 20 )
	love.graphics.setColor( 255, 0, 0 )
	love.graphics.rectangle( "fill", self.hpX, self.hpY, self.hp, 16 )
end

function player:keypressed( key )
end

function player:mousepressed( x, y, b )

end