-- present lua

present = class:new()

function present:init()
	self.img = {
				[1] = love.graphics.newImage( "gfx/present1.png" ),
				[2] = love.graphics.newImage( "gfx/present2.png" ),
				[3] = love.graphics.newImage( "gfx/present3.png" ),
				[4] = love.graphics.newImage( "gfx/present4.png" ),
				[5] = love.graphics.newImage( "gfx/present5.png" ),
				}
	self.w, self.h = self.img[1]:getWidth() * gScale, self.img[1]:getHeight() * gScale
	self.x, self.y = gWidth / 2 + self.w / 2, gHeight - self.h
	self.table = {}
	self.timer = 0
	self.triggerTime = 1.25
	self.timer2 = 0
	self.basicSpeed = 50
	self.level = 1
end

function present:update( dt )
	self.timer = self.timer + dt
	self.timer2 = self.timer2 + dt
	if self.timer > self.triggerTime then
		table.insert( self.table, { img = self.img[math.random( 1, 5 )], x = math.random( 0, gWidth - self.w ), y = -self.h, rotation = math.random( 10, 60 ), speed = math.random( 80, 130 ) } )
		self.timer = 0
	end
	if self.timer2 > 10 and self.level < 300 then
		self.level = self.level + 40
		self.timer2 = 0
	end
	if self.level > 200 and self.level < 290 then
		self.triggerTime = .7
	elseif self.level > 300 then
		self.triggerTime = .45
	end
	
	for i,v in ipairs( self.table ) do
		local hitbox = { x = v.x, y = v.y, w = self.w, h = self.h }
		v.rotation = v.rotation + 1 * dt
		if v.rotation > math.pi * 360 / 180 then v.rotation = 0 end
		
		v.x = v.x + 20 * dt
		v.y = v.y + ( self.basicSpeed + self.level + v.speed ) * dt
		
		if v.y - self.h /2  > gHeight then 
			if v.img == self.img[4] then
				player.points = player.points + 5
				table.remove( self.table, i )
			else
				player.hp = player.hp - 10
				table.remove( self.table, i )
			end
		end
		
		if v.x > gWidth or v.x + self.w < 0 then
			table.remove( self.table, i )
		end
		
		if boxCollide( player.hitbox, hitbox ) then
			if v.img ~= self.img[4] then
				player.points = player.points + 25
				table.remove( self.table, i )
			else
				player.points = player.points - 50
				player.hp = player.hp - 10
				table.remove( self.table, i )
			end
		end
	end
end

function present:draw()
	for i,v in ipairs( self.table ) do
		love.graphics.setColor( 255, 255, 255 )
		love.graphics.draw( v.img, v.x, v.y, v.rotation, gScale, gScale, self.w / 2 / gScale, self.h/2 / gScale )	
	end
end