-- snow lua

snow = class:new()

function snow:init()
	self.img = love.graphics.newImage( "gfx/snow.png" )
	self.w, self.h = self.img:getWidth() * gScale, self.img:getHeight() * gScale
	self.x, self.y = gWidth / 2 + self.w / 2, gHeight - self.h
	self.timer = 0
	self.table = {}
end

function snow:update( dt )
	self.timer = self.timer + dt
	if self.timer > .5 then
		table.insert( self.table, { x = math.random( 0, gWidth - self.w ), y = -self.h, rotation = math.random( 10, 60 ), speed = math.random( 50, 90 ) } )
		self.timer = 0
	end
	for i,v in ipairs( self.table ) do
		v.rotation = v.rotation + 3 * dt
		if v.rotation > math.pi * 360 / 180 then v.rotation = 0 end
		
		v.x = v.x + 20 * dt
		v.y = v.y + v.speed * dt
		
		if v.y - self.h /2  > gHeight then table.remove( self.table, i ) end
	end
end

function snow:draw()
	for i,v in ipairs( self.table ) do
		love.graphics.setColor( 255, 255, 255, 100 )
		love.graphics.draw( self.img, v.x, v.y, v.rotation, gScale, gScale, self.w / 2 / gScale, self.h/2 / gScale )	
	end
end