-- main lua

function love.load()
	love.graphics.setCaption( "Grab the Presents!" )
	love.graphics.setDefaultImageFilter( "linear", "nearest" )
	love.graphics.setBackgroundColor( 100, 100, 100 )
	love.graphics.setMode( 768, 512, false, false )
	love.mouse.setVisible( false )
	love.mouse.setGrab( true )
	
	gWidth, gHeight = love.graphics.getWidth(), love.graphics.getHeight()
	gScale = 3
	pause = false
	
	font_small = love.graphics.newFont( "font.ttf", 32)
	font_normal = love.graphics.newFont( "font.ttf", 64)
	love.graphics.setFont( font_small )
	
	Class = require( "lib.class" )
	gamestate = require( "lib.gamestate" )
	require( "lua.game" )
	
	gamestate.switch( game )
	gamestate.init()
end

function love.update( dt )
	gamestate.update( dt )
end

function love.draw()
	gamestate.draw()
end

function love.keypressed( key )
	gamestate.keypressed( key )
end

function love.mousepressed( x, y, b )
	gamestate.mousepressed( x, y, b )
end

function love.focus( f )
end

function boxCollide(rect1, rect2)
	local rect1x2 , rect1y2 , rect2x2 , rect2y2 = rect1.x + rect1.w, rect1.y + rect1.h, rect2.x + rect2.w , rect2.y + rect2.h
	return rect1.x < rect2x2 and rect1x2 > rect2.x and rect1.y < rect2y2 and rect1y2 > rect2.y
end